Change default record ordering from create timestamp to send timestamp
Category: Estimated time: 0.00 hour
Target version: rsb-0.9

Description

To my mind the default behavior of the bag toolchain should be to reproduce the network traffic as closely as possible (i.e. the timing
of the events on the network). Right now the create timestamp is the default timestamp to record and therefore sort events for replay.
This timestamp is defined by the client and can hence be affected in any possible way. As a consequence, what is replayed by
bag-play is usually not what was actually received by bag-record. This is especially true for systems where the create time is modified
to reflect the underlying data.

Therefore | propose to change the default timestamp to "send", which is under our control in RSB and where the semantics are a bit
clearer.
Along with this change we should think about how users can

1. Know what data is recorded in which format (e.g. by querying bag-info)

2. Migrate their existing data to the new indexing scheme using bag-merge (which should probably be called bag-transform ;))

Related issues:
Related to RSBag - Feature # 1481: Support changing timestamp used for indexi... Resolved 04/30/2013

Associated revisions

Revision 631a1f17 - 04/30/2013 12:44 AM - J. Moringen
Added index-timestamp commandline option in bag-record.rst
refs #1480
- bag-record.rst: added explanation of the index-timestamp commandline
option
Revision 3ac22564 - 04/30/2013 01:45 AM - J. Moringen
Fixed timestamp handling in src/transport/inprocess/*-connector.lisp
refs #1480
- src/transport/inprocess/out-connector.lisp (header): updated
copyright
(handle :before out-connector event): set :send timestamp
- src/transport/inprocess/in-pull-connector.lisp
(emit in-pull-connector t): set receive timestamp
- src/transport/inprocess/in-push-connector.lisp (header): updated

copyright
(handle :before in-push-connector event): likewise
Revision 5786c21d - 04/30/2013 02:15 AM - J. Moringen

Added index-timestamp to bag-record in bag-record/main.lisp

fixes #1480

- bag-record/main.lisp (header): updated copyright
(update-synopsis): added index-timestamp commandline option which
controls which timestamp is used to index events in the created log
file
(main): pass the value of the index-timestamp option to
“events->bag'

- test/send-test-events.lisp: new file; helper script which produces
recordable events for tests of bag-record

- CMakelists.txt: use test/send-test-events.lisp for bag-record tests;

added test for index-timestamp option
Revision 5469714e - 04/30/2013 02:27 AM - J. Moringen
Changed default indexing timestamp in src/rsb/construction.lisp
refs #1480
- src/rsb/construction.lisp (events->bag listener bag): changed
default indexing timestamp :create -> :send
Revision a9¢c5ab63 - 04/30/2013 02:37 AM - J. Moringen
Fixed timestamp handling in src/transport/inprocess/*-connector.lisp
refs #1480
- src/transport/inprocess/out-connector.lisp (header): updated
copyright
(handle :before out-connector event): set :send timestamp
- src/transport/inprocess/in-pull-connector.lisp
(emit in-pull-connector t): set receive timestamp
- src/transport/inprocess/in-push-connector.lisp (header): updated
copyright
(handle :before in-push-connector event): likewise
Revision 967f851e - 04/30/2013 02:44 AM - J. Moringen
Added index-timestamp commandline option in bag-record.rst

refs #1480

- bag-record.rst: added explanation of the index-timestamp commandline

option
History

#1 - 04/29/2013 05:35 PM - J. Wienke
- Description updated

#2 - 04/29/2013 05:36 PM - J. Wienke
- Description updated

#3 - 04/29/2013 10:59 PM - J. Moringen
- Status changed from New to In Progress
- Assignee set to J. Moringen

#4 - 04/30/2013 02:41 AM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset rsbag-tools-cljcommit:5786c21d14929f764b8826753f486fe32d7cabb5.
